ApiResourcesAffiliate Program

Invite an affiliate

Create a pending invitation and email a single-use affiliate onboarding link.

POST
/v2/affiliate-invitations

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v2/affiliate-invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "partner@example.com"  }'
{
  "data": {
    "id": 77,
    "email": "partner@example.com",
    "status": "pending",
    "invited_at": "2026-07-12T12:00:00Z",
    "application_submitted_at": null,
    "created_at": "2026-07-12T12:00:00Z"
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}